Item10468: Up and Down Arrow-Keys not working with Firefox 4

Priority: Normal
Current State: Closed
Released In: 1.1.4
Target Release: patch
Applies To: Extension
Component: JQueryPlugin
Reported By: OliverSchaub
Waiting For:
Last Change By: GeorgeClark
Up- and Down-Keys are not working in NatEdit using Firefox 4. This has been Tested with Firefox 4 Beta 12 and RC1 on Windows XP and Windows 7.

Left- and Right-Keys are working.

-- OliverSchaub - 10 Mar 2011

Confirmed. Interestingly this works just fine in a normal topic view:

<textarea rows="22" cols="70" class="natedit">
</textarea>
%JQREQUIRE{"natedit"}%

-- MichaelDaum - 10 Mar 2011

Seems deprecated jquery autocomplete to be the culprit.

Replacing the shipped Autocomplete (jQuery plugin 1.1pre) with the code from github.com/agarzola/jQueryAutocompletePlugin (Version 1.2.1) seem to do the trick ... so far.

-- AndreLichtsteiner - 18 Mar 2011

Cool. Works great and fixes some other issues with autocompletion as well.

-- MichaelDaum - 18 Mar 2011

This Bug is not limited to NatEditPlugin. I just ran into the same problem on Pattern skin while adding a new Item here on foswiki.org.

-- AndreLichtsteiner - 06 Apr 2011

Depending on the priority we will be releasing this fix before or after releasing foswiki-1.1.3. That's because JQueryPlugin as it is contained in the current stable branch in svn is covered by a checkin freeze (see Kenneth's email on the ML).

In fact there are more workarounds I had to add to jquery modules to make them work with FF4.

-- MichaelDaum - 06 Apr 2011

I'm happy to see that this is a known issue - I had slowly started noticing this more and more often and it was driving me crazy. Finally put 2 and 2 together and found this. Will this end up just as an update to the JQuery plugin eventually?

I figure I'll wait till I upgrade to 1.1.3 before trying to tinker with this, unless it needs a Foswiki patch release or so. Incidentally, the comment box I'm using to type this is also showing the issue smile

-- RasmusPraestholm - 26 Apr 2011

I've built & released JQueryPlugin 4.04 which includes this fix. Thanks Andre for pointing us at the fix

-- PaulHarvey - 25 May 2011

Wait, there's more to fix.

-- MichaelDaum - 25 May 2011

Bump - any update on this one / 1.1.4 status / pure plugin fix? Firefox is up to 6.0 now, with their new version number thing going on. I'm still at 3.6 purely for this, and delaying upgrading various Foswikis till hopefully 1.1.4 is out... smile

-- RasmusPraestholm - 18 Aug 2011

Refer to known issues - yes, upgrade to latest JQueryPlugin for now.

-- PaulHarvey - 18 Aug 2011
Topic revision: r23 - 17 Dec 2011, GeorgeClark
 
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. see CopyrightStatement. Creative Commons License